# This file is part of vmod_variable.
# Copyright (C) 2017 Sergey Poznyakoff
# 
# Vmod_variable is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
# 
# Vmod_variable is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with vmod_variable.  If not, see <http://www.gnu.org/licenses/>.

AM_CPPFLAGS=\
 $(VARNISHAPI_CFLAGS)\
 -DLOCALSTATEDIR=\"$(localstatedir)\"

vmoddir = $(VMODDIR)
vmod_LTLIBRARIES = libvmod_variable.la

libvmod_variable_la_LDFLAGS=-module -export-dynamic -avoid-version
libvmod_variable_la_LIBADD=

libvmod_variable_la_SOURCES = \
	variable.c

nodist_libvmod_variable_la_SOURCES = \
	vcc_if.c vcc_if.h

variable.lo: vcc_if.h

CLEANFILES = vcc_if.c vcc_if.h *.rst

vmodtoolargs = --strict
vccfile = $(top_srcdir)/src/variable.vcc

vcc_if.c vcc_if.h: $(vccfile)
	$(AM_V_GEN)$(PYTHON) $(VARNISHAPI_VMODTOOL) $(vmodtoolargs) $(vccfile)

EXTRA_DIST = \
	variable.vcc\
	vmod_variable.man.rst\
	vmod_variable.rst

dist_man_MANS=vmod_variable.3 vmod-variable.3

DISTCLEANFILES=vmod_variable.3



